com.h3c.of.lib.dt

## Interface DataPathInfo

- All Known Subinterfaces:
    DataPathDetails
  All Known Implementing Classes:
    DataPathInfoAdapter

      public interface DataPathInfo

  Represents information about an OpenFlow datapath.

  This includes data from the FeaturesReply message received from the datapath during the handshake sequence.

  All timestamps are measured in milliseconds since midnight, January 1, 1970 UTC. (See `System.currentTimeMillis()`).

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<Capability>` | `capabilities()` Returns the capabilities supported by the switch.
    `String` | `dpDesc()` Returns the datapath description
    `DataPathId` | `dpid()` Returns the datapath identifier.
    `long` | `lastMessageAt()` Returns the time of the last message received from the datapath (on any connection).
    `ProtocolVersion` | `negotiated()` Returns the version of the OpenFlow protocol that the datapath has negotiated with the controller, via the exchange of Hello messages (on the "main" connection).
    `long` | `numBuffers()` Returns the maximum number of packets the switch can buffer at once.
    `int` | `numTables()` Returns the number of tables supported by the switch.
    `List<Port>` | `ports()` Returns the current known state of all the OpenFlow ports on the datapath.
    `long` | `readyAt()` Returns the time at which the datapath completed the handshake with the controller (on the "main" connection).
    `IpAddress` | `remoteAddress()` Returns the IP address of the switch (on the "main" connection).
    `PortNumber` | `remotePort()` Returns the TCP port for the switch's "main" connection.
    `void` | `setDpDesc(String desc)` Set the datapath description

- - ### Method Detail

    - #### dpid

          DataPathId dpid()

      Returns the datapath identifier.
      Returns:
        the datapath ID

    - #### negotiated

          ProtocolVersion negotiated()

      Returns the version of the OpenFlow protocol that the datapath has negotiated with the controller, via the exchange of Hello messages (on the "main" connection).
      Returns:
        the negotiated protocol version

    - #### readyAt

          long readyAt()

      Returns the time at which the datapath completed the handshake with the controller (on the "main" connection).
      Returns:
        the "datapath ready" timestamp

    - #### lastMessageAt

          long lastMessageAt()

      Returns the time of the last message received from the datapath (on any connection).
      Returns:
        the "last message" timestamp

    - #### ports

          List<Port> ports()

      Returns the current known state of all the OpenFlow ports on the datapath. This method is guaranteed to always return a list.
      Returns:
        the known state of the ports

    - #### numBuffers

          long numBuffers()

      Returns the maximum number of packets the switch can buffer at once.
      Returns:
        the number of packet buffers

    - #### numTables

          int numTables()

      Returns the number of tables supported by the switch.
      Returns:
        the number of tables

    - #### capabilities

          Set<Capability> capabilities()

      Returns the capabilities supported by the switch.
      Returns:
        the set of capabilities

    - #### remoteAddress

          IpAddress remoteAddress()

      Returns the IP address of the switch (on the "main" connection).
      Returns:
        the switch IP address

    - #### remotePort

          PortNumber remotePort()

      Returns the TCP port for the switch's "main" connection.
      Returns:
        the switch TCP port

    - #### dpDesc

          String dpDesc()

      Returns the datapath description
      Returns:
        the datapath description

    - #### setDpDesc

          void setDpDesc(String desc)

      Set the datapath description
      Parameters:
        `desc` - the description

Copyright © 2014. All Rights Reserved.